function zeroes = focs(guess)
% The two first-order conditions for hours in 1900 and 2018
% Using the foc's to backout parameter values for theta and rho
% This function is called from hours.m
global h1900 h2018 w1900 w2018  
theta    =  guess(1);
rho      =  guess(2);
% Foc for 1900
zeroes(1) = theta*w1900*( w1900*h1900 )^(-rho) - (1-theta)/(1-h1900);
% Foc for 2018
zeroes(2) = theta*w2018*( w2018*h2018 )^(-rho) - (1-theta)/(1-h2018);
end

