function [ out ] = nprofits( output )
% nprofits.m
% This specifies the objective function used in the maximization routines
% This is the negative of the monopolist's profits
% Called from main.m
global alpha beta gamma
rev   = alpha* output - beta*output.^2/2; % revenue
costs = gamma*output.^2/2;                % costs
out = rev - costs;                        % profits
out = - out;          % Switch sign for minimizing
end

