function [sse] = objpms(guess)
% Set up the objective function for minimization problem
% Pick the cost of out-of-wedlock births, O, and the Weibull shape and
% scale parameters, beta and eta, to minimize the model's prediction errors
% for the number of women engaging in premartial sex
% This function is called from pms.m
global fr1900 fr1960 fr2000 pms1900 pms1938 pms1978
errors = ones(1,3);
O = guess(1);    % Cost of Out-of-Wedlock birth 
beta = guess(2); % Weibull shape
eta  = guess(3); % Weibull scale
% Joy Thresholds
j1900 = fr1900*O; 
j1938 = fr1960*O;
j2000 = fr2000*O;
% Square the Prediction Errors
errors(1) = ( pms1900 - exp( -(j1900/eta)^beta ) )^2;
errors(2) = ( pms1938 - exp( -(j1938/eta)^beta ) )^2;
errors(3) = ( pms1978 - exp( -(j2000/eta)^beta ) )^2;
sse = sqrt( sum(errors)/3 ); % Sum and take sqrt of errors

end

