% PREMARITAL SEX
% pms.m
% Numerical Methods for Macroeconomists, by Jeremy Greenwood and Ricardo 
% Marto, Copywrite, Jeremy Greenwood
clear all
clc
global fr1900 fr1960 fr2000 pms1900 pms1938 pms1978
% Fractions of 20-year-old women experiencing premarital sex
pms1900 = .18;
pms1938 = .40;
pms1978 = .76;
% Failure Rates
fr1900  = .72;
fr1960  = .59;
fr2000  = .30;
% Call minimization routine to search over O, beta, and eta
sol = fminsearch(@objpms,[2 3 2]);
error  = objpms(sol)/mean( [pms1900 pms1938 pms1978] );
disp('Prediction error, %')
disp(error)
O = sol(1);    % Cost of out-of-wedlock birth
% Weibull distribution
beta = sol(2); % Shape
eta  = sol(3); % Scale
% Joy Thresholds
j1900 = fr1900*O;
j1938 = fr1960*O;
j2000 = fr2000*O;
% Fractions of women experiencing premarital sex
mpms1900 = exp( -(j1900/eta)^beta );
mpms1938 = exp( -(j1938/eta)^beta );
mpms1978 = exp( -(j2000/eta)^beta );
% Display the results
disp('Results')
disp('Beta, eta, and O')
disp(sol)
disp('US Data')
disp( [pms1900 pms1938 pms1978] )
disp('Models Predictions')
disp( [mpms1900 mpms1938 mpms1978] )

